<!--
 * @Author: yincheng
 * @Date: 2021-12-21 15:29:01
 * @LastEditors: yincheng
 * @LastEditTime: 2021-12-22 14:15:10
-->
# vue-cli-plugin-ueba-mf
UEBA Module Federation plugin for `@vue/cli` 3.0.

### Install

First you need to install `@vue/cli` globally (follow the instructions [here](https://cli.vuejs.org/)).

Then create a project and add the UEBA-MF plugin:

```bash
vue create --preset ueba/mf-template my-app
cd my-app
vue add ueba-mf
```

You'll be asked some questions regarding how UEBA Module Federation is configured in your project. After that, you're good to go.

### Use with vue-cli UI

Skip this part if you've done everything in the `Install` section.

If you prefer managing your project in vue-cli UI (by running `vue ui`), here's how you can add UEBA Module Federation plugin: go to the Plugins menu, click the upper right `+ Add plugin` button, find `vue-cli-plugin-ueba-mf` and install it.

![image](https://user-images.githubusercontent.com/10095631/43555082-b9414998-962a-11e8-83ab-cda066a61093.png)

Also there're some configurations for you.

![image](https://user-images.githubusercontent.com/10095631/43555119-f486f034-962a-11e8-9862-dcaca0e3ebb3.png)
