/*
 * @Author: yincheng
 * @Date: 2021-12-21 15:29:01
 * @LastEditors: yincheng
 * @LastEditTime: 2021-12-23 16:57:45
 */
const { camelCase } = require('lodash')
module.exports = (api, opts, rootOptions) => {
  const utils = require('./utils')(api)
  const config = {
    name: opts.name,
    camelCaseName: camelCase(opts.name),
    port: Number(opts.port),
  }

  api.onCreateComplete(() => {
    utils.addService(config)
    utils.addServiceRouter(config)
  })
}
